Loading...
Searching...
No Matches
BALL::PyCompositeList Class Reference
Python » Python extensions

`#include <BALL/PYTHON/EXTENSIONS/pyCompositeList.h>`

Inheritance diagram for BALL::PyCompositeList:

## Public Types

Type Definitions
typedef Composite * | ValueType
typedef Composite ** | PointerType
typedef std::list< Composite * >::iterator | Iterator
typedef std::list< Composite * >::const_iterator | ConstIterator

## Public Member Functions

Constructors and Destructors
| PyCompositeList ()
| PyCompositeList (const PyCompositeList &composite_list)
| Copy constructor.
| PyCompositeList (const std::list< Composite * > &composite_list)
| Copy constructor.
| PyCompositeList (const std::list< const Composite * > &composite_list)
| Copy constructor.
PyCompositeList & | operator= (const std::list< const Composite * > &composite_list)
| Constructor from a const Composite pointer list.
| PyCompositeList (const HashSet< const Composite * > &composite_set)
| Construction from a HashSet.
| PyCompositeList (const HashSet< Composite * > &composite_set)
| Construction from a HashSet.
virtual | ~PyCompositeList () throw ()
| Destructor.

## Detailed Description

Equivalent for a STL::List of Composite Pointers in Python

Definition at line 29 of file pyCompositeList.h.

## Member Typedef Documentation

## ConstIterator

typedef std::list<Composite*>::const_iterator BALL::PyCompositeList::ConstIterator

Constant iterator type.

Definition at line 54 of file pyCompositeList.h.

## Iterator

typedef std::list<Composite*>::iterator BALL::PyCompositeList::Iterator

Iterator type.

Definition at line 50 of file pyCompositeList.h.

## PointerType

typedef Composite** BALL::PyCompositeList::PointerType

Pointer type

Definition at line 46 of file pyCompositeList.h.

## ValueType

typedef Composite* BALL::PyCompositeList::ValueType

Composite* type

Definition at line 42 of file pyCompositeList.h.

## Constructor & Destructor Documentation

## PyCompositeList() [1/6]

BALL::PyCompositeList::PyCompositeList | ( |  | ) |

Default constructor. Create an empty list.

## PyCompositeList() [2/6]

BALL::PyCompositeList::PyCompositeList | ( | const PyCompositeList & | composite_list | ) |

Copy constructor.

## PyCompositeList() [3/6]

BALL::PyCompositeList::PyCompositeList | ( | const std::list< Composite * > & | composite_list | ) |

Copy constructor.

## PyCompositeList() [4/6]

BALL::PyCompositeList::PyCompositeList | ( | const std::list< const Composite * > & | composite_list | ) |

Copy constructor.

## PyCompositeList() [5/6]

BALL::PyCompositeList::PyCompositeList | ( | const HashSet< const Composite * > & | composite_set | ) |

Construction from a HashSet.

## PyCompositeList() [6/6]

BALL::PyCompositeList::PyCompositeList | ( | const HashSet< Composite * > & | composite_set | ) |

Construction from a HashSet.

## ~PyCompositeList()

virtual BALL::PyCompositeList::~PyCompositeList | ( |  | ) |
throw | ( | ) |  |  |

virtual

Destructor.

## Member Function Documentation

## operator=()

PyCompositeList & BALL::PyCompositeList::operator= | ( | const std::list< const Composite * > & | composite_list | ) |

Constructor from a const Composite pointer list.